## manila-tempest-plugin 1.0.0

=== debian/changelog ===
manila-tempest-plugin (1.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2020 10:53:36 +0200

manila-tempest-plugin (1.0.0-1) experimental; urgency=medium

  * Initial packaging (Closes: #959209).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 17:21:46 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/manila-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz

## manila-tempest-plugin 1.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

ddt>=1.0.1 # MIT
oslo.log>=3.36.0 # Apache-2.0
tempest>=17.1.0 # Apache-2.0

=== debian/changelog ===
manila-tempest-plugin (1.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 10:41:43 +0200

manila-tempest-plugin (1.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Oct 2020 14:40:34 +0200

manila-tempest-plugin (1.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 22:13:59 +0200

=== debian/control ===
Source: manila-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/manila-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/manila-tempest-plugin.git
Homepage: https://opendev.org/openstack/manila-tempest-plugin

Package: manila-tempest-plugin
Architecture: all
Depends:
 python3-pbr,
 python3-ddt,
 python3-oslo.log,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Manila plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Manila plugin.

## manila-tempest-plugin 1.6.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.31.2 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
manila-tempest-plugin (1.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:38:41 +0200

manila-tempest-plugin (1.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Sep 2021 11:00:49 +0200

manila-tempest-plugin (1.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 10:40:44 +0200

manila-tempest-plugin (1.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:53:32 +0200

manila-tempest-plugin (1.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Apr 2021 13:46:08 +0200

manila-tempest-plugin (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed openstack-pkg-tools build-depends version.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Mar 2021 12:22:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 109~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/manila-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No tests for now..."
	#pkgos-dh_auto_test --no-py2
endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## manila-tempest-plugin 1.7.0

=== debian/changelog ===
manila-tempest-plugin (1.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 13:56:05 +0200

manila-tempest-plugin (1.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Mar 2022 18:11:32 +0100

## manila-tempest-plugin 1.10.0

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,6 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
-ddt>=1.0.1 # MIT
+ddt>=1.6.0 # MIT
 oslo.log>=3.36.0 # Apache-2.0
-tempest>=17.1.0 # Apache-2.0
+tempest>=31.1.0 # Apache-2.0

=== debian/changelog ===
manila-tempest-plugin (1.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 16:33:09 +0200

manila-tempest-plugin (1.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:13:05 +0200

manila-tempest-plugin (1.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Sep 2022 14:22:24 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/manila-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz

## manila-tempest-plugin 1.13.0

=== debian/changelog ===
manila-tempest-plugin (1.13.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046571).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 09:55:21 +0200

manila-tempest-plugin (1.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 15:45:52 +0200

manila-tempest-plugin (1.13.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Mar 2023 15:13:40 +0100

manila-tempest-plugin (1.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 10:37:26 +0100

## manila-tempest-plugin 2.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,6 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
-ddt>=1.6.0 # MIT
+ddt>=1.0.1 # MIT
 oslo.log>=3.36.0 # Apache-2.0
 tempest>=31.1.0 # Apache-2.0

=== debian/changelog ===
manila-tempest-plugin (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 14:15:22 +0200

manila-tempest-plugin (1.14.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Sep 2023 22:52:15 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-pbr,
  python3-ddt,
  python3-oslo.log,
- tempest,
+ tempest (>= 1:31.1.0),
  ${misc:Depends},
  ${python3:Depends},
 Provides:

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_test:
 	echo "Do nothing..."

## manila-tempest-plugin 2.2.0

=== debian/changelog ===
manila-tempest-plugin (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 21:28:31 +0200

manila-tempest-plugin (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Add version to python3-ddt depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Mar 2024 13:23:45 +0100

manila-tempest-plugin (2.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2024 10:51:02 +0100

## manila-tempest-plugin 2.5.0

=== debian/changelog ===
manila-tempest-plugin (2.5.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Thu, 19 Dec 2024 15:26:37 +0000

manila-tempest-plugin (2.5.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090431).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:25:14 +0100

manila-tempest-plugin (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Sep 2024 12:04:18 +0200

manila-tempest-plugin (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 23:22:21 +0200

manila-tempest-plugin (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Aug 2024 09:32:16 +0200

## manila-tempest-plugin 2.7.0

=== requirements.txt ===
pbr>=3.0.0 # Apache-2.0

ddt>=1.6.0 # MIT
oslo.log>=3.36.0 # Apache-2.0
tempest>=31.1.0 # Apache-2.0

=== debian/changelog ===
manila-tempest-plugin (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:40:47 +0100

manila-tempest-plugin (2.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 17:22:06 +0100

manila-tempest-plugin (2.6.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 15:02:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

## manila-tempest-plugin 2.8.0

=== debian/changelog ===
manila-tempest-plugin (2.8.0-1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Fri, 19 Sep 2025 10:56:14 +0000

manila-tempest-plugin (2.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2025 12:26:36 +0200

## manila-tempest-plugin 2.9.0

=== doc/requirements.txt ===
sphinx>=1.7.0 # BSD
openstackdocstheme>=1.31.2 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
manila-tempest-plugin (2.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:34:49 +0200

manila-tempest-plugin (2.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 22:38:07 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Architecture: all
 Depends:
  python3-pbr,
- python3-ddt,
+ python3-ddt (>= 1.6.0),
  python3-oslo.log,
  tempest (>= 1:31.1.0),
  ${misc:Depends},

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/manila-tempest-plugin refs/tags/(\d[brc\d\.]+)
